<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\Anmeldung\AnmeldebestaetigungDialog;

class AnmeldeBestaetigungDialogController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new AnmeldeBestaetigungDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $reqObj = new AnmeldebestaetigungDialogRequest();
    $reqObj->knr = \SessionOperations::getVarValueWTIntern('anmeldung_knr');
    $reqObj->tnr = \SessionOperations::getVarValueWTIntern('anmeldung_tnr');

    return $reqObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new AnmeldebestaetigungDialogPresenter($pUseCaseResponse);
  }
}